# ************************* 
#  * Owen Sullivan
#  * CPSC 2310-002
#  * opsulli@clemson.edu
# *************************

COMPILER = gcc
WARNING_OPTION = -Wall
OUTPUT_OPTION = -o
PROGRAM = PA2.out

all: $(PROGRAM)

run: $(PROGRAM)
	./$(PROGRAM) input.ppm output.ppm

$(PROGRAM): driver.c ppm.h ppm.c EncodeDecode.h EncodeDecode.c
	$(COMPILER) $(STD_OPTION) $(WARNING_OPTION) driver.c ppm.c EncodeDecode.c -lm $(OUTPUT_OPTION) $(PROGRAM) 

clean:
	rm *.out
